
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JSP技术简介_JSP编程 / iVAN</title>

    <meta name="description" content="JSP技术简介_JSP编程 一. JSP 技术概述 在 Sun 正式发布 JSP(JavaServer Pages) 之后,这种新的 Web 应用开发技术很快引起了人们的关注. JSP 为创建高度动态的 Web 应用提供了一个独特的开发环境.按照 Sun 的说法, JSP 能够适应市场上包括 Apache WebServer . IIS4.0 在内的 85% 的服务器产品.即使您对 ASP &quot;一往情深&quot;,我们认为,关注 JSP 的发展仍旧很有必要. ㈠ JSP 与 ASP 的简单比较 JSP 与 Mic ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">JSP技术简介_JSP编程</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>一、 JSP 技术概述</p>
<p>　　 在 Sun 正式发布 JSP(JavaServer Pages) 之后，这种新的 Web 应用开发技术很快引起了人们的关注。 JSP 为创建高度动态的 Web 应用提供了一个独特的开发环境。按照 Sun 的说法， JSP 能够适应市场上包括 Apache WebServer 、 IIS4.0 在内的 85% 的服务器产品。即使您对 ASP "一往情深"，我们认为，关注 JSP 的发展仍旧很有必要。</p>
<p>　　 ㈠ JSP 与 ASP 的简单比较</p>
<p>　　 JSP 与 Microsoft 的 ASP 技术非常相似。两者都提供在 HTML 代码中混合某种程序代码、由语言引擎解释执行程序代码的能力。在 ASP 或 JSP 环境下， HTML 代码主要负责描述信息的显示样式，而程序代码则用来描述处理逻辑。普通的 HTML 页面只依赖于 Web 服务器，而 ASP 和 JSP 页面需要附加的语言引擎分析和执行程序代码。程序代码的执行结果被重新嵌入到 HTML 代码中，然后一起发送给浏览器。 ASP 和 JSP 都是面向 Web 服务器的技术，客户端浏览器不需要任何附加的软件支持。</p>
<p>　　 ASP 的编程语言是 VBScript 之类的脚本语言， JSP 使用的是 Java ，这是两者最明显的区别。此外， ASP 与 JSP 还有一个更为本质的区别：两种语言引擎用完全不同的方式处理页面中嵌入的程序代码。在 ASP 下， VBScript 代码被 ASP 引擎解释执行；在 JSP 下，代码被编译成 Servlet 并由 Java 虚拟机执行，这种编译操作仅在对 JSP 页面的第一次请求时发生。</p>
<p>　　 ㈡运行环境</p>
<p>　　 Sun 公司的 JSP 主页在 http://www.javasoft.com/products/jsp/index.html ，从这里还可以下载 JSP 规范，这些规范定义了供应商在创建 JSP 引擎时所必须遵从的一些规则。</p>
<p>　　 执行 JSP 代码需要在服务器上安装 JSP 引擎。此处我们使用的是 Sun 的 JavaServer Web Development Kit （ JSWDK ）。为便于学习，这个软件包提供了大量可供修改的示例。安装 JSWDK 之后，只需执行 startserver 命令即可启动服务器。在默认配置下服务器在端口 8080 监听，使用 http://localhost:8080 即可打开缺省页面。</p>
<p>　　 在运行 JSP 示例页面之前，请注意一下安装 JSWDK 的目录，特别是" work "子目录下的内容。执行示例页面时，可以在这里看到 JSP 页面如何被转换成 Java 源文件，然后又被编译成 class 文件（即 Servlet ）。 JSWDK 软件包中的示例页面分为两类，它们或者是 JSP 文件，或者是包含一个表单的 HTML 文件，这些表单均由 JSP 代码处理。与 ASP 一样， JSP 中的 Java 代码均在服务器端执行。因此，在浏览器中使用"查看源文件"菜单是无法看到 JSP 源代码的，只能看到结果 HTML 代码。所有示例的源代码均通过一个单独的" examples "页面提供。</p>
<p>　　 ㈢ JSP 页面示例</p>
<p>　　 下面我们分析一个简单的 JSP 页面。您可以在 JSWDK 的 examples 目录下创建另外一个目录存放此文件，文件名字可以任意，但扩展名必须为 .jsp 。从下面的代码清单中可以看到， JSP 页面除了比普通 HTML 页面多一些 Java 代码外，两者具有基本相同的结构。 Java 代码是通过 &lt; % 和 %&gt; 符号加入到 HTML 代码中间的，它的主要功能是生成并显示一个从 0 到 9 的字符串。在这个字符串的前面和后面都是一些通过 HTML 代码输出的文本。</p>
<p>　 &lt; HTML&gt; <br />　 &lt; HEAD&gt;&lt; TITLE&gt;JSP 页面 &lt; /TITLE&gt;&lt; /HEAD&gt; <br />　 &lt; BODY&gt; <br />　 &lt; %@ page language="java" %&gt; <br />　 &lt; %! String str="0"; %&gt; <br />　 &lt; % for (int i=1; i &lt; 10; i++) { <br />　 str = str + i; <br />　 } %&gt; <br />　 JSP 输出之前。 <br />　 &lt; P&gt; <br />　 &lt; %= str %&gt; <br />　 &lt; P&gt; <br />　 JSP 输出之后。 <br />　 &lt; /BODY&gt; <br />　 &lt; /HTML&gt;</p>
<p>　　 这个 JSP 页面可以分成几个部分来分析。</p>
<p>首先是 JSP 指令。它描述的是页面的基本信息，如所使用的语言、是否维持会话状态、是否使用缓冲等。 JSP 指令由 &lt; %@ 开始， %&gt; 结束。在本例中，指令" &lt; %@ page language="java" %&gt; "只简单地定义了本例使用的是 Java 语言（当前，在 JSP 规范中 Java 是唯一被支持的语言）。 <br />接下来的是 JSP 声明。 JSP 声明可以看成是定义类这一层次的变量和方法的地方。 JSP 声明由 &lt; %! 开始， %&gt; 结束。如本例中的" &lt; %! String str="0"; %&gt; "定义了一个字符串变量。在每一项声明的后面都必须有一个分号，就象在普通 Java 类中声明成员变量一样。 <br />位于 &lt; % 和 %&gt; 之间的代码块是描述 JSP 页面处理逻辑的 Java 代码，如本例中的 for 循环所示。 <br />最后，位于 &lt; %= 和 %&gt; 之间的代码称为 JSP 表达式，如本例中的" &lt; %= str %&gt; "所示。 JSP 表达式提供了一种将 JSP 生成的数值嵌入 HTML 页面的简单方法。</p>
<p>　　 会话状态维持是 Web 应用开发者必须面对的问题。有多种方法可以用来解决这个问题，如使用 Cookies 、隐藏的表单输入域，或直接将状态信息附加到 URL 中。 Java Servlet 提供了一个在多个请求之间持续有效的会话对象，该对象允许用户存储和提取会话状态信息。 JSP 也同样支持 Servlet 中的这个概念。</p>
<p>　　 在 Sun 的 JSP 指南 中可以看到许多有关隐含对象的说明（隐含的含义是，这些对象可以直接引用，不需要显式地声明，也不需要专门的代码创建其实例）。例如 request 对象，它是 HttpServletRequest 的一个子类。该对象包含了所有有关当前浏览器请求的信息，包括 Cookies ， HTML 表单变量等等。 session 对象也是这样一个隐含对象。这个对象在第一个 JSP 页面被装载时自动创建，并被关联到 request 对象上。与 ASP 中的会话对象相似， JSP 中的 session 对象对于那些希望通过多个页面完成一个事务的应用是非常有用的。</p>
<p>　　 为说明 session 对象的具体应用，接下来我们用三个页面模拟一个多页面的 Web 应用。第一个页面（ q1.html ）仅包含一个要求输入用户名字的 HTML 表单，代码如下：</p>
<p>　 &lt; HTML&gt; <br />　 &lt; BODY&gt; <br />　 &lt; FORM METHOD=POST ACTION="q2.jsp"&gt; <br />　请输入您的姓名： <br />　 &lt; INPUT TYPE=TEXT NAME="thename"&gt; <br />　 &lt; INPUT TYPE=SUBMIT VALUE="SUBMIT"&gt; <br />　 &lt; /FORM&gt; <br />　 &lt; /BODY&gt; <br />　 &lt; /HTML&gt;</p>
<p>　　 第二个页面是一个 JSP 页面（ q2.jsp ），它通过 request 对象提取 q1.html 表单中的 thename 值，将它存储为 name 变量，然后将这个 name 值保存到 session 对象中。 session 对象是一个名字 / 值对的集合，在这里，名字 / 值对中的名字为" thename "，值即为 name 变量的值。由于 session 对象在会话期间是一直有效的，因此这里保存的变量对后继的页面也有效。 q2.jsp 的另外一个任务是询问第二个问题。下面是它的代码：</p>
<p>　 &lt; HTML&gt; <br />　 &lt; BODY&gt; <br />　 &lt; %@ page language="java" %&gt; <br />　 &lt; %! String name=""; %&gt; <br />　 &lt; % <br />　 name = request.getParameter("thename"); <br />　 session.putValue("thename", name); <br />　 %&gt; <br />　您的姓名是： &lt; %= name %&gt; <br />　 &lt; p&gt; <br />　 &lt; FORM METHOD=POST ACTION="q3.jsp"&gt; <br />　您喜欢吃什么 ? <br />　 &lt; INPUT TYPE=TEXT NAME="food"&gt; <br />　 &lt; P&gt; <br />　 &lt; INPUT TYPE=SUBMIT VALUE="SUBMIT"&gt; <br />　 &lt; /FORM&gt; <br />　 &lt; /BODY&gt; <br />　 &lt; /HTML&gt;</p>
<p>　　 第三个页面也是一个 JSP 页面（ q3.jsp ），主要任务是显示问答结果。它从 session 对象提取 thename 的值并显示它，以此证明虽然该值在第一个页面输入，但通过 session 对象得以保留。 q3.jsp 的另外一个任务是提取在第二个页面中的用户输入并显示它：</p>
<p>　 &lt; HTML&gt; <br />　 &lt; BODY&gt; <br />　 &lt; %@ page language="java" %&gt; <br />　 &lt; %! String food=""; %&gt; <br />　 &lt; % <br />　 food = request.getParameter("food"); <br />　 String name = (String) session.getValue("thename"); <br />　 %&gt; <br />　您的姓名是： &lt; %= name %&gt; <br />　 &lt; P&gt; <br />　您喜欢吃： &lt; %= food %&gt; <br />　 &lt; /BODY&gt; <br />　 &lt; /HTML&gt;</p>
<p>　　 JavaBean 是一种基于 Java 的软件组件。 JSP 对于在 Web 应用中集成 JavaBean 组件提供了完善的支持。这种支持不仅能缩短开发时间（可以直接利用经测试和可信任的已有组件，避免了重复开发），也为 JSP 应用带来了更多的可伸缩性。 JavaBean 组件可以用来执行复杂的计算任务，或负责与数据库的交互以及数据提取等。如果我们有三个 JavaBean ，它们分别具有显示新闻、股票价格、天气情况的功能，则创建包含所有这三种功能的 Web 页面只需要实例化这三个 Bean ，使用 HTML 表格将它们依次定位就可以了。</p>
<p>　　 为说明在 JSP 环境下 JavaBean 的应用，我们创建了一个名为 TaxRate 的 Bean 。它有两个属性，即 Product （产品）和 Rate （税率）。两个 set 方法分别用来设置这两个属性，两个 get 方法则用于提取这两个属性。在实际应用中，这种 Bean 一般应当从数据库提取税率值，此处我们简化了这个过程，允许任意设定税率。下面是这个 Bean 的代码清单：</p>
<p>　 package tax; <br />　 public class TaxRate { <br />　 String Product; <br />　 double Rate; <br />　 public TaxRate() { <br />　 this.Product = "A001"; <br />　 this.Rate = 5; <br />　 } <br />　 public void setProduct (String ProductName) { <br />　 this.Product = ProductName; <br />　 } <br />　 public String getProduct() { <br />　 return (this.Product); <br />　 } <br />　 public void setRate (double rateValue) { <br />　 this.Rate = rateValue; <br />　 } <br />　 public double getRate () { <br />　 return (this.Rate); <br />　 } <br />　 }</p>
<p>　　 在 JSP 页面中应用上述 Bean 要用到 &lt; jsp:useBean&gt; 标记。依赖于具体使用的 JSP 引擎的不同，在何处配置以及如何配置 Bean 的方法也可能略有不同。本文将这个 Bean 的 .class 文件放在 c:jswdk-1.0examplesWEB-INFjspeans ax 目录下，这里的 tax 是一个专门存放该 Bean 的目录。下面是一个应用上述 Bean 的示例页面：</p>
<p>　 &lt; HTML&gt; <br />　 &lt; BODY&gt; <br />　 &lt; %@ page language="java" %&gt; <br />　 &lt; jsp:useBean id="taxbean" scope="application" class="tax.TaxRate" /&gt; <br />　 &lt; % taxbean.setProduct("A002"); <br />　 taxbean.setRate(17); <br />　 %&gt; <br />　使用方法 1 ： &lt; p&gt; <br />　产品 : &lt; %= taxbean.getProduct() %&gt; &lt; br&gt; <br />　税率 : &lt; %= taxbean.getRate() %&gt; <br />　 &lt; p&gt; <br />　 &lt; % taxbean.setProduct("A003"); <br />　 taxbean.setRate(3); <br />　 %&gt; <br />　 &lt; b&gt; 使用方法 2 ： &lt; /b&gt; &lt; p&gt; <br />　产品 : &lt; jsp:getProperty name="taxbean" property="Product" /&gt; <br />　 &lt; br&gt; <br />　税率 : &lt; jsp:getProperty name="taxbean" property="Rate" /&gt; <br />　 &lt; /BODY&gt; <br />　 &lt; /HTML&gt;</p>
<p>　　 在 &lt; jsp:useBean&gt; 标记内定义了几个属性，其中 id 是整个 JSP 页面内该 Bean 的标识， scope 属性定义了该 Bean 的生存时间， class 属性说明了该 Bean 的类文件（从包名开始）。</p>
<p>　　 这个 JSP 页面不仅使用了 Bean 的 set 和 get 方法设置和提取属性值，还用到了提取 Bean 属性值的第二种方法，即使用 &lt; jsp:getProperty&gt; 标记。 &lt; jsp:getProperty&gt; 中的 name 属性即为 &lt; jsp:useBean&gt; 中定义的 Bean 的 id ，它的 property 属性指定的是目标属性的名字。</p>
<p>　　 事实证明， Java Servlet 是一种开发 Web 应用的理想构架。 JSP 以 Servlet 技术为基础，又在许多方面作了改进。 JSP 页面看起来象普通 HTML 页面，但它允许嵌入执行代码，在这一点上，它和 ASP 技术非常相似。利用跨平台运行的 JavaBean 组件， JSP 为分离处理逻辑与显示样式提供了卓越的解决方案。 JSP 必将成为 ASP 技术的有力竞争者。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-15 01:04:06</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>JSP技术简介_JSP编程的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8N6xPb.html" rel="bookmark">一个开发人员眼中的JSP技术&lpar;上&rpar;&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				(作者:天译编译 2000年12月01日 14:26) JavaServerTM Pages(JSP)技术为我们提供了一种建立动态网页的简单方法,而且也简化了构造web程序的工作.本文从一个开发人员的角度对JSP技术做了一个全面介绍(并提供了一些JSP实例程序). 前言 JavaServer Pages技术可以让web开发人员和设计人员非常容易的创建和维护动态网页,特别是目前的商业系统.作为JavaTM技术的一部分,JSP能够快速开发出基于web.独立于平台的应用程序.JSP 把用户界面从系统内			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6ko3gp.html" rel="bookmark">一个开发人员眼中的JSP技术&lpar;下&rpar;&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用定制化的标签 尽管你可以在JSP页面中植入Java代码并在服务器方执行,但是,JSP也支持使用定制标签来插入动态内容,它有一种机制可以让你在JSP页面中插入你自己的.与HTML类似的标签.换句话说,你的JSP网页能够使用插入Java代码的简单标签语法产生动态的内容.但定制标签的用处不是很大. 创建一个定制标签比在JSP网页中使用简单的scriptlet要复杂得多,因为定制标签需要用几个步骤来把你的Java组件和JSP代码连接起来.不过,定制标签在分发和重复使用的时候就非常简单了.对定制标签的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7QQYqM.html" rel="bookmark">JSP简介&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JSP(JavaServer Pages)是由Sun Microsystems公司倡导.许多公司参与一起建立的一种动态网页技术标准,其网址为http://www.javasoft.com/products/jsp.该技术为创建显示动态生成内容的Web页面提供了一个简捷而快速的方法.JSP技术的设计目的是使得构造基于Web的应用程序更加容易和快捷,而这些应用程序能够与各种Web服务器,应用服务器,浏览器和开发工具共同工作. JSP规范是Web服务器.应用服务器.交易系统.以及开发工具供应商间广泛合			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlVZdVz.html" rel="bookmark">JSP简明教程&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一. 什么是JSP JSP(JavaServer Pages)是由Sun Microsystems公司倡导.许多公司参与一起建立的一种动态网页技术标准,其网址为http://www.javasoft.com/products/jsp.在传统的网页HTML文件(*.htm,*.html)中加入Java程序片段(Scriptlet)和JSP标记(tag),就构成了JSP网页(*.jsp).Web服务器在遇到访问JSP网页的请求时,首先执行其中的程序片段,然后将执行结果以HTML格式返回给客户.程序片			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2V25Vb.html" rel="bookmark">jsp计数器制作&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				计数器是一般网站必备的东东,别小看它了,每当站长看着小小计数器上的数字飞速增长的时候,感觉实在是好极了.以前我们用cgi.asp来写计数器,这方面的文章很多了,在这里,我们将会采用目前比较流行的jsp技术演示如何做一个计数器.其中我们用到了两个文件,test.jsp文件用于在浏览器中运行,counter.java是后台的一个小java bean程序,用来读计数器的值和写入计数器的值.而对于计数器的保存,我们采用了一个文本文件lyfcount.txt. 下面是详细的程序代码(test.jsp放到w			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKdeVdM.html" rel="bookmark">JSP技术简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一. JSP 技术概述 在 Sun 正式发布 JSP(JavaServer Pages) 之后,这种新的 Web 应用开发技术很快引起了人们的关注. JSP 为创建高度动态的 Web 应用提供了一个独特的开发环境.按照 Sun 的说法, JSP 能够适应市场上包括 Apache WebServer . IIS4.0 在内的 85% 的服务器产品.即使您对 ASP &quot;一往情深&quot;,我们认为,关注 JSP 的发展仍旧很有必要. ㈠ JSP 与 ASP 的简单比较 JSP 与 Microsof			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6AW6ob.html" rel="bookmark">也谈用JSP实现新郎、sohu新闻系统的技术。&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我这两天刚好完成了这样一个类似的系统,希望和大家探讨探讨jsp实现的技术.  新浪 sohu这样的系统应该是类似的,就是后台动态生成前台的html页面,不管后台用什么工具.  因为公司逼下来,要做这样的新闻系统,没有办法,连着做了两天,总算搞定了,很快就会发布到公司主页上面  当然我只做了一个后台管理的东西,用jsp+javabean来动态生成html文件  我是这样实现的  1.首先要一个写好的htm文件模板,后台用Writer对象来写文件,然后几个需要替换的地方如新闻标题.新闻内容直接根据输			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My2O4dp.html" rel="bookmark">jsp Hibernate 函数简介&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Configuration/SessionFactory/Session Configuration实例代表了一个应用程序中Java类型 到SQL数据库映射的完整集合. Configuration被用来构建一个(不可变的 (immutable))SessionFactory. SessionFactory是线程安全的,创建代价很高. Session是非线程安全的,轻量级的.一个Session对应一个JDBC连接, Session的connection()会获取Session与之对应的数据库连			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZKaj4b.html" rel="bookmark">JSP学习心得&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  作者:徐春金 下面是本人在学习JSP时的一些心得: 一.JSP工作原理 在一个JSP文件第一次被请求时,JSP引擎把该JSP文件转换成为一个servlet.而这个引擎本身也是一个servlet,在JSWDK或WEBLOGIC中,它就是JspServlet. JSP引擎先把该JSP文件转换成一个Java源文件,在转换时如果发现jsp文件有任何语法错误,转换过程将中断,并向服务端和客户端输出出错信息:如果转换成功, JSP引擎用javac把该Java源文件编译成相应的class文件.然后创建一个			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMN8v7z.html" rel="bookmark" class="title">PHP单文件上传原理及上传函数的封装</a>
					<div>
						服务器(临时文件)--&gt;指定目录,当文件进入服务器时它就是临时文件了,这时操作中要用临时文件的名称tmp_name. //在客户端设置上传文件的限制(文件类型和大小)是不安全的,因为客户能通过源 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLRVvb.html" rel="bookmark" class="title">建站切莫&OpenCurlyDoubleQuote;大跃进&rdquo; 气定神闲很重要</a>
					<div>
						一直有朋友在抱怨&quot;都建站一两个月了,流量还就是那么点,百度.谷歌收录也不行,这可怎么办好啊?&quot;是啊,当一个站长下定决心开始建站,那就是考验这个站长毅力的时刻到了.前期,你可能花费巨 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOgGQz.html" rel="bookmark" class="title">在系统中生成Excel流并传给用户</a>
					<div>
						excel|生成excel 在系统中经常出现这样的情况就是生成excel流 并将生成的Excel 流传给用户 一般的来讲可以利用 Response 来向客户端发送一个HTTP头 ,并将Excel流发送 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2g1dM.html" rel="bookmark" class="title">racle中的NULL简介</a>
					<div>
						null与in:null值不会包含在in的结果集中. A105024@O02DMS1&gt;select * from test;        ID NAME ---------- -------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wBnJp.html" rel="bookmark" class="title">Firefox收藏夹位置在哪里？</a>
					<div>
						今天想保存一下firefox的收藏夹.习惯性地打开了书签收藏夹,却发现,这不是IE哦.(因为我把IE的收藏夹转到了D盘,防止日后重装系统时忘了备份导致掉失),研究一下,firefox的原理原来和chr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NKZAz.html" rel="bookmark" class="title">Win8系统开机出现missing operating system怎么办？</a>
					<div>
						Win8系统开机出现missing operating system怎么办?   原因分析: 1.系统引导区出现问题; 2.电脑受到了病毒的攻击; 3.硬盘出现问题. 一般都是由于系统引导记录出现错误 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwDZBp.html" rel="bookmark" class="title">sql server 修改系统密码后不能启动</a>
					<div>
						  SQL Server 1069 错误(由于登录失败而无法启动服务)解决方法 1.我的电脑--控制面板--管理工具--服务--右键MSSQLSERVER--属性--登陆--登陆身份--选择&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKqmOM.html" rel="bookmark" class="title">让内部IaaS部署安全管理虚拟机</a>
					<div>
						当我们部署一个内部基础设施即服务(IaaS)云计算时,有一个广泛的安全性方面问题时需要我们的考虑的,就是企业不仅必须考虑满足安全性最佳实践的要求,并且还应符合监管的要求.本文将具体讨论如何控制虚拟机实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEY24p.html" rel="bookmark" class="title">全面解读用于文本特征提取的神经网络技术：从神经概率语言模型到GloVe</a>
					<div>
						作者:Vineet John 机器之心编译 参与:吴攀.李亚洲.蒋思源 文本特征提取是自然语言处理的核心问题之一,近日,加拿大滑铁卢大学的 Vineet John 在 arXiv 发布了一篇关于用于文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kK5ZM.html" rel="bookmark" class="title">CVPR 2017最佳论文作者解读：DenseNet 的&OpenCurlyDoubleQuote;what&rdquo;、&OpenCurlyDoubleQuote;why&rdquo;和&OpenCurlyDoubleQuote;how&rdquo;｜CVPR 2017</a>
					<div>
						雷锋网 AI 科技评论按:CVPR 2017上,康奈尔大学博士后黄高博士(Gao Huang).清华大学本科生刘壮(Zhuang Liu).Facebook 人工智能研究院研究科学家 Laurens  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBNBKM.html" rel="bookmark" class="title">这样的图怎么画有没有现成控件</a>
					<div>
						问题描述 这样的图怎么画有没有现成控件 解决方案 解决方案二:啥图,我看看?解决方案三:该回复于2015-01-21 23:30:40被版主删除解决方案四:没图说个j8解决方案五:图片一直传不上去,不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rDO9p.html" rel="bookmark" class="title">深入理解并行编程-分割和同步设计（五）</a>
					<div>
						原文链接    作者:paul    译者:谢宝友,鲁阳,陈渝 并行快速路径 细粒度的设计一般要比粗粒度的设计复杂.在许多情况,绝大部分开销只由一小部分代码产生[Knu73].所以为什么不把精力放在这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40JZjz.html" rel="bookmark" class="title">提到软件开发者的社会化编程以及代码托管</a>
					<div>
						提到软件开发者的社会化编程以及代码托管,很多人往往第一时间想到GitHub或者GitCafe.这年头,不去GitHub或者GitCafe上托管几行代码,都不好意思说是自己是程序员.GitHub和Git ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqer4z.html" rel="bookmark" class="title">雾霾是由固体小颗粒和小液滴组成</a>
					<div>
						看到这么偏激的题目以及如此悲伤的配图,想来大多读者的第一反应都是,&quot;这只氪星人是不是被雾霾逼疯了?&quot; 因此我必须自我辩白一下,虽然我的鼻炎已被北京的雾霾逼得走投无路,但神志还是正常 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDemgOb.html" rel="bookmark" class="title">app-哪位知道&OpenCurlyDoubleQuote;夜间模式护眼灯&rdquo;这款APP应用开发者&rdquo;彩风&OpenCurlyDoubleQuote;是个人还是企业？</a>
					<div>
						问题描述 哪位知道&quot;夜间模式护眼灯&quot;这款APP应用开发者&quot;彩风&quot;是个人还是企业? 对&quot;夜间模式护眼灯&quot;这款APP应用很感兴趣,不知道哪位高人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnK3oKz.html" rel="bookmark" class="title">Kubernetes 是如何实现资源共享的</a>
					<div>
						本文讲的是Kubernetes 是如何实现资源共享的[译者的话]Kubernetes相对于Mesos,不同之处在于对资源的调度管理,这篇Proposal展示了Kubernetes对于资源管理方面的思考 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYQYPp.html" rel="bookmark" class="title">快播关闭QVOD服务器  互联网视频草寇时代结束</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 [钛媒编辑/叶元]3721.html&quot;&gt;2014年4月16日晚,快播官方账号前后发出两条微博,21:33快播发布第一条微博表示: 自20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4078jz.html" rel="bookmark" class="title">详解使用Dockerfile创建带Apache服务的CentOS Docker镜像&lowbar;docker</a>
					<div>
						使用Dockerfile创建带Apache服务的CentOS Docker镜像 在宿主机上准备的文件清单: Dockerfile #启动ssh和apache服务的角本 run.sh 以上文件都放到/r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWa0Rz.html" rel="bookmark" class="title">MySQL查询效率很慢的问题如何分析和解决？</a>
					<div>
						问题描述 我从SQL SERVER 2000导入一个表到MYSQL 5.x里面,大约有30万条记录.当执行SELECT * FROM tablename;时用时(484 ms),当加上一个where条 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAgLKM.html" rel="bookmark" class="title">新年&CenterDot;家期特辑二：帮母亲圆梦计划</a>
					<div>
						近期,网上一个叫&quot;太后专线&quot;的贴吧十分火爆,记者随后调查发现,该贴吧的创立其实是源于一家新开的名为&quot;太后专线&quot;的咖啡屋.而贴吧内所讨论的帮母亲圆梦计划更是引起了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmNLQM.html" rel="bookmark" class="title">数据库-Entity framework 对mysql的支持在实体数据模型向导里面没有mysql</a>
					<div>
						问题描述 Entity framework 对mysql的支持在实体数据模型向导里面没有mysql 快折腾我三天,求大神指导指导,有时候新建的项是的,但是是这样的 我明明引用的是mysql的为什么会出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RAx6z.html" rel="bookmark" class="title">C语言数据结构：表达式求值代码问题</a>
					<div>
						问题描述 C语言数据结构:表达式求值代码问题 要求允许小数,过滤空格,可以+ - * /和求指数 #include #include #include #include #define true 1  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xjNgb.html" rel="bookmark" class="title">百度推广账户结构设计</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   目前搜索营销的趋势是关键词越来越多,百度搜索推广产品为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBRnDz.html" rel="bookmark" class="title">《新编计算机科学概论》一2&period;2 　计算机体系结构概述</a>
					<div>
						2.2 计算机体系结构概述 体系结构的概念是从软件设计者的角度对计算机硬件系统的观察和分析.结构是指各部分之间的关系.通过分析系统的组成和结构,可以指导更好地进行软件设计. 2.2.1 计算机体系结构 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAQ0db.html" rel="bookmark" class="title">中国股民10大必看网站</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 &quot;股市有风险,投资须谨慎&quot; ―――股民必备警句之首 谨慎归谨慎,但投资是无风险则无丰厚利润,笔者经过精心的分析,为广大股民收集了十大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjGaQM.html" rel="bookmark" class="title">scala split tab</a>
					<div>
						问题描述 问个关于scala的问题,打算把一段spark-java程序改成scala,刚学啊日志tab分割,中间有些项是空的,java中是这样写的line.split(_split_column)sc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPk9VDM.html" rel="bookmark" class="title">app-android与java的问题如何实现</a>
					<div>
						问题描述 android与java的问题如何实现 手机APP中,android端抢单成功之后如何用java实现在电脑端展示抢单成功的买家信息 解决方案 android端发送信息给服务器不就行了,通过h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0kQQM.html" rel="bookmark" class="title">域名投资：这不是在玩</a>
					<div>
						作为淘域网的一名专员,每天服务的域名交易用户怕没有成百也有几十,耳熏目染间,由一个对域名交易市场毫不感冒的旁观者,变成了一个热衷于域名交易的实践者.混迹于域名交易论坛,看大神们每天发帖说某某卖了多少万 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLg6q8M.html" rel="bookmark" class="title">谷歌收购Picnik意在助推Picasa挑战Flickr</a>
					<div>
						导语:美国媒体今日撰文称,谷歌周一宣布收购图片编辑网站Picnik.鉴于Picnik是雅虎图片分享网站Flickr的默认图像编辑软件,谷歌这笔交易的目的在于增强旗下图片网站Picasa的实力,挑战Fl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr22R4M.html" rel="bookmark" class="title">PHP中类的继承和用法实例分析&lowbar;php技巧</a>
					<div>
						本文实例讲述了PHP中类的继承和用法.分享给大家供大家参考,具体如下: 1.继承关键字 :extends PHP类的继承,我们可以理解成共享被继承类的内容.PHP中使用extends单一继承的方法,请 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
